<div id="create-order">
  <div class="d-sm-flex align-center justify-space-between">
    <div class="d-flex align-center">
      <p class="mb-0 mt-1 h6 colorGreyMain">Orders</p>
    </div>
  </div>
  <v-card class="ui-card mt-6 pb-4">
    <v-tabs
      v-model="tab"
      background-color="transparent"
      color="basil"
      show-arrows
    >
      <v-tab class="text-none"> All </v-tab>
      <v-tab class="text-none"> Processing </v-tab>
      <v-tab class="text-none"> Canceled </v-tab>
      <v-tab class="text-none"> Fulfilled </v-tab>
      <v-tab class="text-none"> Paid </v-tab>
      <v-tab class="text-none"> Tracking Avaiable </v-tab>
      <v-tab class="text-none"> Tracking Online </v-tab>
      <v-tab class="text-none"> Delivered & Guarantee </v-tab>
    </v-tabs>
    <v-divider></v-divider>
    <div class="mt-4 mx-4" id="hideBottomInput">
      <div class="d-block d-md-flex items-center">
        <v-menu offset-y>
          <template v-slot:activator="{ on, attrs }">
            <v-text-field
              dense
              outlined
              placeholder="Search.."
              style="max-width: 320px; width: 100%"
              prepend-inner-icon="mdi-magnify"
              class="mr-3"
              v-model="config.search"
              v-debounce:800ms="onHandleSearch"
              v-bind="attrs"
              v-on="on"
            >
            </v-text-field>
          </template>
          <div class="p-2 bg-white">
            <p class="mb-0 text-gray-400">Search By</p>
            <v-radio-group v-model="searchBy" row class="mt-0">
              <v-radio
                v-for="(item,idx) in listSearchBy"
                :key="item + idx"
                :label="item.name"
                :value="item.search"
              ></v-radio>
            </v-radio-group>
          </div>
        </v-menu>

        <span class="d-sm-flex my-lg-0 my-2">
          <span
            class="d-flex my-2 my-sm-0 justify-between"
            style="max-width: 320px; width: 100%"
          >
            <div id="hideBottomInput" class="mr-2">
              <v-select
                dense
                outlined
                class="rounded-0 status-btn"
                placeholder="status"
                v-model="status"
                :items="listStatus"
                item-text="name"
                item-value="value"
                multiple
              >
                <template v-slot:selection="{ item, index }">
                  <p class="mb-0 fsize-14" v-if="index === 0">
                    Selected (+{{ status.length }})
                  </p>
                </template>
              </v-select>
            </div>
            <div>
              <v-select
                dense
                outlined
                class="rounded-0 delivery-status-btn"
                placeholder="Delivery status"
                v-model="deliveryStatus"
                :items="listDeliveryStatus"
                item-text="name"
                item-value="value"
                multiple
              >
                <template v-slot:selection="{ item, index }">
                  <p class="mb-0 fsize-14" v-if="index === 0">
                    Selected (+{{ deliveryStatus.length }})
                  </p>
                </template>
              </v-select>
            </div>
          </span>
          <div class="ml-sm-3">
            <v-btn
              color="#e5e7eb"
              outlined
              height="40"
              class="elevation-0 rounded mb-2 mb-sm-0"
              @click="drawerFilter = !drawerFilter"
            >
              <div class="d-flex align-center justify-space-between">
                <p
                  class="mb-0 fsize-14 text-none"
                  style="color: rgba(0, 0, 0, 0.4) !important"
                >
                  More Filter
                </p>
                <v-icon color="#7A8C96" class="ml-2">
                  mdi-dots-horizontal
                </v-icon>
              </div>
            </v-btn>
            <!-- <v-select dense outlined class="rounded-0" placeholder="Other Filter" style="width: 139px"></v-select> -->
          </div>
        </span>
      </div>

      <div class="sm:flex mt-2">
        <div class="btns d-flex">
          <v-btn
            small
            color="#076CE3"
            outlined
            class="elevation-0 rounded"
            @click="onExportFile()"
            :disabled="loadingExport"
          >
            <div class="d-flex align-center">
              <v-progress-circular
                v-if="loadingExport"
                size="16"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <p
                class="mr-2 mb-0 fsize-16 text-capitalize lightContentBlue"
                v-else
              >
                Export
              </p>
            </div>
          </v-btn>
          <nuxt-link
            to="/admin/order/tracking"
            class="text-decoration-none mx-3"
          >
            <v-btn
              small
              color="#076CE3"
              outlined
              class="elevation-0 rounded"
              :disabled="loading"
            >
              <div class="d-flex align-center">
                <p class="mb-0 fsize-16 text-capitalize lightContentBlue">
                  Add Tracking
                </p>
              </div>
            </v-btn>
          </nuxt-link>
        </div>
        <v-menu rounded="rounded" offset-y>
          <template v-slot:activator="{ attrs, on }">
            <v-btn
              small
              color="#076CE3"
              class="elevation-0 rounded"
              outlined
              v-bind="attrs"
              v-on="on"
              :disabled="loading"
            >
              <span class="text-none"> Change Status </span>
            </v-btn>
          </template>

          <div class="pa-3 white">
            <div
              style="background-color: #e1effe"
              class="change-status py-1 px-2 mt-2 rounded-lg text-uppercase c-pointer"
              @click="onChangeStatus('processing')"
            >
              <span class="contentBrand"> Processing </span>
            </div>
            <div
              style="background: rgba(255, 193, 48, 0.08)"
              class="change-status py-1 px-2 mt-2 rounded-lg text-uppercase c-pointer"
              @click="onChangeStatus('pending')"
            >
              <span style="color: #fb8c00"> Pending </span>
            </div>
            <div
              style="background-color: #f4f5f7"
              class="change-status py-1 px-2 mt-2 rounded-lg text-uppercase c-pointer"
              @click="onChangeStatus('canceled')"
            >
              <span style="color: #ff5252"> Canceled </span>
            </div>
            <div
              style="background-color: #ebffeb"
              class="change-status py-1 px-2 mt-2 rounded-lg text-uppercase c-pointer"
              @click="onChangeStatus('fulfilled')"
            >
              <span style="color: #4caf50"> Fulfilled </span>
            </div>
          </div>
        </v-menu>
      </div>
      <download-excel
        :data="json_data"
        :fields="json_fields"
        name="export-order.xls"
        :before-generate="fetchData"
        class="d-none"
        ref="export"
      >
      </download-excel>
    </div>
    <div style="min-height: 40px">
      <div
        v-if="status.length || deliveryStatus.length"
        class="d-flex align-center flex-wrap mx-4"
      >
        <div
          class="lightBackgroundPlaceholder py-2 px-3 d-flex align-center mt-4 mr-3 rounded"
          v-for="(item, i) in statusViewer"
          :key="item"
        >
          <p class="mb-0 lightContentPrimary fsize-14">
            Status: {{findNameStatus(item)}}
          </p>
          <v-icon
            color="#7A8C96"
            size="16"
            @click="removeFilter(item)"
            class="ml-2"
          >
            mdi-close
          </v-icon>
        </div>
        <div
          class="lightBackgroundPlaceholder py-2 px-4 d-flex align-center mt-4 mr-3"
          v-for="(item, i) in deliveryStatusViewer"
          :key="item"
        >
          <p class="mb-0 lightContentPrimary fsize-14">
            Delivery status: {{findNameDeliveryStatus(item)}}
          </p>
          <v-btn icon small class="ml-2" @click="removeFilter(item)">
            <v-icon color="#7A8C96" size="18"> mdi-close </v-icon>
          </v-btn>
        </div>
      </div>
    </div>
    <div class="flex items-center">
      <p
        class="px-4"
        :class="status.length || deliveryStatus.length ? 'mt-3' : ''"
      >
        Found
        <span class="font-semibold"
          >{{total && $utils.formatCurrency(total)}}</span
        >
        orders
      </p>
      <p v-if="listIds.length">
        Selected <span class="font-semibold">{{listIds.length}}</span> orders
      </p>
    </div>

    <v-skeleton-loader
      class="mx-auto mt-10"
      width="100%"
      type="card"
      v-if="loading"
    >
    </v-skeleton-loader>
    <div v-else>
      <v-tabs-items v-model="tab" touchless>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="px-4 mt-3">
            <List :listIds.sync="listIds" />
          </v-card>
        </v-tab-item>
      </v-tabs-items>
    </div>
  </v-card>

  <v-row justify="center">
    <v-dialog v-model="dialogExportHistory" persistent max-width="520">
      <v-card>
        <div class="py-3 px-4 d-flex align-center justify-space-between">
          <p class="mb-0 fsize-18 font-weight-medium">Export History</p>
          <v-btn icon fab small @click="dialogExportHistory = false">
            <v-icon> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-4">
          <v-skeleton-loader
            class="mx-auto mt-10"
            width="100%"
            type="card"
            v-if="loadingTable"
          >
          </v-skeleton-loader>
          <v-simple-table
            class="scrollTable c-pointer"
            fixed-header
            v-else
            style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
          >
            <template v-slot:default>
              <thead>
                <tr>
                  <th style="background-color: #edeeef" class="">
                    <div class="d-flex align-center" style="width: 200px">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        File name
                      </p>
                    </div>
                  </th>
                  <th style="background-color: #edeeef" class="text-left">
                    <div style="width: 100px">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        Created Date
                      </p>
                    </div>
                  </th>
                  <th style="background-color: #edeeef" class="text-left">
                    <div style="width: 60px"></div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(order,i) in listOrder" :key="order._id">
                  <td class="py-2">
                    <p class="mb-0 lightContentBlue fsize-16 font-weight-bold">
                      {{order.fileName}}
                    </p>
                  </td>
                  <td class="py-2">
                    <p
                      class="mb-0 lightContentPrimary fsize-16 font-weight-bold"
                    >
                      {{order.createdAt }}
                    </p>
                  </td>
                  <td class="py-2">
                    <v-btn icon fab x-small>
                      <v-icon> mdi-content-copy </v-icon>
                    </v-btn>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div
            class="d-flex justify-center my-2"
            v-if="listOrder.length == 0 && !loadingTable"
          >
            <div>
              <div class="d-flex align-center justify-center">
                <img
                  src="~/assets/images/no-product.png"
                  alt=""
                  width="136"
                  height="136"
                />
              </div>
              <p class="mb-0 mt-4 text-center colorGreyHeaderTable">
                Your orders will show here
              </p>
            </div>
          </div>
          <div
            class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
          >
            <v-pagination
              v-model="config.page"
              :length="totalPage"
              :total-visible="5"
              class="pagination"
            >
            </v-pagination>
            <div
              id="hideBottomInput"
              class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0"
            >
              <v-text-field
                dense
                outlined
                v-model.number="page"
                placeholder="Go to page"
              >
              </v-text-field>
              <div class="button-inside-input">
                <v-btn
                  height="36px"
                  color="#076CE3"
                  class="px-0 button-inside-input__button elevation-0"
                  @click="onRedirectPage()"
                >
                  <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-navigation-drawer
    v-model="drawerFilter"
    absolute
    temporary
    right
    width="360"
    style="position: fixed"
  >
    <div class="pos-relative fheight flex flex-col justify-between pb-4">
      <div>
        <div id="hideBottomInput">
          <div class="pa-4">
            <div
              class="d-flex align-center justify-space-between c-pointer"
              @click="expand1 = !expand1"
            >
              <p class="mb-0 fsize-14">Bulk search order</p>
              <v-icon v-if="expand1"> mdi-menu-up </v-icon>
              <v-icon v-else> mdi-menu-down </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="expand1" class="mt-4">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter order ID"
                  v-model="filter.searchOrder"
                ></v-text-field>
                <p
                  class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer"
                  @click="onClearFilter(1)"
                >
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div>
          <v-divider></v-divider>
          <div class="pa-4">
            <div
              class="d-flex align-center justify-space-between c-pointer"
              @click="expand2 = !expand2"
            >
              <p class="mb-0 fsize-14">Bulk search item</p>
              <v-icon v-if="expand2"> mdi-menu-up </v-icon>
              <v-icon v-else> mdi-menu-down </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="expand2" class="mt-4">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter item name"
                  v-model="filter.searchItem"
                ></v-text-field>
                <p
                  class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer"
                  @click="onClearFilter(2)"
                >
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div>
          <v-divider></v-divider>
          <div class="pa-4">
            <div
              class="d-flex align-center justify-space-between c-pointer"
              @click="expand3 = !expand3"
            >
              <p class="mb-0 fsize-14">Processing Date</p>
              <v-icon v-if="expand3"> mdi-menu-up </v-icon>
              <v-icon v-else> mdi-menu-down </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="expand3" class="mt-4">
                <v-menu
                  v-model="progressingDatePicker"
                  :close-on-content-click="false"
                  left
                  :nudge-bottom="10"
                  transition="scale-transition"
                  offset-y
                  min-width="auto"
                >
                  <template v-slot:activator="{ on, attrs }">
                    <v-text-field
                      v-model="dateRangeProcessingText"
                      outlined
                      dense
                      readonly
                      v-bind="attrs"
                      v-on="on"
                    >
                    </v-text-field>
                  </template>
                  <v-date-picker v-model="filter.processingDate" range>
                  </v-date-picker>
                </v-menu>
                <p
                  class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer"
                  @click="onClearFilter(3)"
                >
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div>
          <v-divider></v-divider>
          <div class="pa-4">
            <div
              class="d-flex align-center justify-space-between c-pointer"
              @click="expand4 = !expand4"
            >
              <p class="mb-0 fsize-14">Created Date</p>
              <v-icon v-if="expand4"> mdi-menu-up </v-icon>
              <v-icon v-else> mdi-menu-down </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="expand4" class="mt-4">
                <v-menu
                  v-model="createdDatePicker"
                  :close-on-content-click="false"
                  left
                  :nudge-bottom="10"
                  transition="scale-transition"
                  offset-y
                  min-width="auto"
                >
                  <template v-slot:activator="{ on, attrs }">
                    <v-text-field
                      v-model="dateRangeCreatedText"
                      outlined
                      dense
                      readonly
                      v-bind="attrs"
                      v-on="on"
                    >
                    </v-text-field>
                  </template>
                  <v-date-picker
                    v-model="filter.createdDate"
                    range
                  ></v-date-picker>
                </v-menu>
                <p
                  class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer"
                  @click="onClearFilter(4)"
                >
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div>
          <!-- <v-divider></v-divider>
          <div class="pa-4">
            <div class="d-flex align-center justify-space-between c-pointer" @click="openExpandFilter(5)">
              <p class="mb-0 fsize-14">
                SKU
              </p>
              <v-icon v-if="isFilterOrder === 5">
                mdi-menu-up
              </v-icon>
              <v-icon v-else>
                mdi-menu-down
              </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="isFilterOrder === 5" class="mt-4">
                <v-text-field dense outlined placeholder="Enter SKU"></v-text-field>
                <p class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer">
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div> -->
          <v-divider></v-divider>
          <div class="pa-4">
            <div
              class="d-flex align-center justify-space-between c-pointer"
              @click="expand5 = !expand5"
            >
              <p class="mb-0 fsize-14">Shipping Address</p>
              <v-icon v-if="expand5"> mdi-menu-up </v-icon>
              <v-icon v-else> mdi-menu-down </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="expand5" class="mt-4">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter Shipping Address"
                  v-model="filter.shippingAddress"
                >
                </v-text-field>
                <p
                  class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer"
                  @click="onClearFilter(5)"
                >
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div>
          <v-divider></v-divider>
          <div class="pa-4">
            <div
              class="d-flex align-center justify-space-between c-pointer"
              @click="expand6 = !expand6"
            >
              <p class="mb-0 fsize-14">Billing Address</p>
              <v-icon v-if="expand6"> mdi-menu-up </v-icon>
              <v-icon v-else> mdi-menu-down </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="expand6" class="mt-4">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter Billing Address"
                  v-model="filter.billingAddress"
                >
                </v-text-field>
                <p
                  class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer"
                  @click="onClearFilter(6)"
                >
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div>
          <v-divider></v-divider>
          <div class="pa-4">
            <div
              class="d-flex align-center justify-space-between c-pointer"
              @click="expand7 = !expand7"
            >
              <p class="mb-0 fsize-14">Tracking Number</p>
              <v-icon v-if="expand7"> mdi-menu-up </v-icon>
              <v-icon v-else> mdi-menu-down </v-icon>
            </div>
            <v-expand-transition>
              <div v-show="expand7" class="mt-4">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter Tracking Number"
                  v-model="filter.trackingNumber"
                >
                </v-text-field>
                <p
                  class="mb-0 mt-3 fsize-14 text-end lightContentBlue c-pointer"
                  @click="onClearFilter(7)"
                >
                  Clear
                </p>
              </div>
            </v-expand-transition>
          </div>
        </div>
      </div>
      <div class="d-flex align-center justify-end pr-4 pb-3">
        <v-btn
          color="#076CE3"
          outlined
          class="elevation-0 mr-3"
          @click="onClearAllFilter()"
        >
          <span class="text-none lightContentBlue"> Clear all </span>
        </v-btn>
        <v-btn color="#076CE3" class="elevation-0" @click="onHandleFilter()">
          <span class="text-none white--text"> Apply Filter </span>
        </v-btn>
      </div>
    </div>
    <!-- <div class="menu-user"> -->

    <!-- </div> -->
  </v-navigation-drawer>
</div>
